Bug 1411234 - The data is collected, no aggregation takes place. [NEEDINFO]
Summary: The data is collected, no aggregation takes place.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.5.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.1.1
: ---
Assignee: Shirly Radco
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 08:39 UTC by Roman Hodain
Modified: 2020-03-11 15:43 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-26 12:11:35 UTC
oVirt Team: Reports
Target Upstream Version:
rhodain: needinfo? (acalleja)


Attachments (Terms of Use)

Description Roman Hodain 2017-01-09 08:39:28 UTC
Description of problem:
DWH collects data from the engine database, but it dos not proceed with the aggregation.

Version-Release number of selected component (if applicable):
rhevm-dwh-3.5.5-1.el6ev.noarch

How reproducible:
100% in specific environment 

Steps to Reproduce:
1. It is not determined yet

Actual results:
Only old data available in *_daily_history/*_hourly_history tables.

# select min(history_datetime),max(history_datetime) from vm_daily_history;
    min     |    max     
------------+------------
 2016-09-07 | 2016-10-30
(1 row)

# select min(history_datetime),max(history_datetime) from vm_samples_history;
            min             |            max             
----------------------------+----------------------------
 2017-01-03 11:30:52.854+01 | 2017-01-05 01:39:57.345+01
(1 row)

# select * from history_configuration;
     var_name      | var_value |      var_datetime      
-------------------+-----------+------------------------
 MinimalETLVersion | 3.5.0     | 
 default_language  | en_US     | 
 firstSync         | false     | 2016-09-07 19:13:00+02
 lastDayAggr       |           | 2017-01-03 07:00:00+01
 lastHourAggr      |           | 2017-01-05 02:00:00+01
 HourlyAggFailed   | false     | 
(6 rows)


Expected results:
The tables are periodically updated.

Comment 1 Shirly Radco 2017-01-09 08:44:35 UTC
Please rerun the query 
select * from history_configuration; 
and also state the current time when you run it.

Please attach log file and ovirt_engine_history db dump.


Note You need to log in before you can comment on or make changes to this bug.